Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.dics.protocol.v5
Class ConsultChapterIVProfessionalCodeType

    java.lang.Object
      be.fgov.ehealth.dics.protocol.v5.ConsultChapterIVProfessionalCodeType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:04:56+01:00",
               comments="JAXB RI v2.2.11")
    public class ConsultChapterIVProfessionalCodeType

extends Object
implements Serializable

Java class for ConsultChapterIVProfessionalCodeType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultChapterIVProfessionalCodeType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Qualification" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultChapterIVTextType"/>
             <element name="ProfessionalName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
           </sequence>
           <attribute name="ProfessionalCV" use="required" type="{http://www.w3.org/2001/XMLSchema}anySimpleType" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ConsultChapterIVProfessionalCodeType()`

Method Summary
`String` | `getProfessionalCV()` Gets the value of the professionalCV property.
`String` | `getProfessionalName()` Gets the value of the professionalName property.
`ConsultChapterIVTextType` | `getQualification()` Gets the value of the qualification property.
`void` | `setProfessionalCV(String value)` Sets the value of the professionalCV property.
`void` | `setProfessionalName(String value)` Sets the value of the professionalName property.
`void` | `setQualification(ConsultChapterIVTextType value)` Sets the value of the qualification property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsultChapterIVProfessionalCodeType

    public ConsultChapterIVProfessionalCodeType()

Method Detail

### getQualification

    public ConsultChapterIVTextType getQualification()

  Gets the value of the qualification property.

  Returns:
    possible object is `ConsultChapterIVTextType`

### setQualification

    public void setQualification(ConsultChapterIVTextType value)

  Sets the value of the qualification property.

  Parameters:
    `value` - allowed object is `ConsultChapterIVTextType`

### getProfessionalName

    public String getProfessionalName()

  Gets the value of the professionalName property.

  Returns:
    possible object is `String`

### setProfessionalName

    public void setProfessionalName(String value)

  Sets the value of the professionalName property.

  Parameters:
    `value` - allowed object is `String`

### getProfessionalCV

    public String getProfessionalCV()

  Gets the value of the professionalCV property.

  Returns:
    possible object is `String`

### setProfessionalCV

    public void setProfessionalCV(String value)

  Sets the value of the professionalCV property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.